Skip to main content
POST
/
api
/
onboarding
/
nigeria_kyc
/
driver_license
/
Driver's License
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/driver_license/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "license_number": "AAA00000AA00"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/driver_license/"

payload = { "license_number": "AAA00000AA00" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({license_number: 'AAA00000AA00'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/driver_license/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The Driver’s License endpoint retrieves verified identity information from the FRSC database, including name, date of birth, license validity dates, state of issue, and a photo.

Endpoint

POST /api/onboarding/nigeria_kyc/driver_license/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
license_numberstringYesThe customer’s driver’s license number
first_namestringYesFirst name as on the license
last_namestringYesLast name as on the license
date_of_birthstringYesDate of birth in YYYY-MM-DD format

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/driver_license/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"license_number": "ARR10892UU00", "first_name": "EDIKAN", "last_name": "EFE", "date_of_birth": "1994-08-11"}'
import requests
response = requests.post(
    "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/driver_license/",
    headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
    json={"license_number": "ARR10892UU00", "first_name": "EDIKAN", "last_name": "EFE", "date_of_birth": "1994-08-11"},
)

Response

200 OK

FieldTypeDescription
data.licenseNostringLicense number
data.lastNamestringLast name
data.firstNamestringFirst name
data.middleNamestringMiddle name
data.genderstringGender
data.dateOfBirthstringDate of birth
data.issuedDatestringLicense issue date
data.expiryDatestringLicense expiry date
data.stateOfIssuestringState where license was issued
data.imagestringBase64-encoded license photo
{
  "status": "success",
  "data": {
    "licenseNo": "ARR10892UU00",
    "lastName": "EDIKAN",
    "firstName": "EFE",
    "middleName": "MUNACHI",
    "gender": "male",
    "issuedDate": "2013-10-28",
    "expiryDate": "2018-11-28",
    "stateOfIssue": "OYO",
    "dateOfBirth": "1994-08-11",
    "image": "<base64-encoded-jpeg>"
  },
  "message": "Driver License details retrieved successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
license_number
string
required

Driver's license number

Example:

"AAA00000AA00"

Response

Driver's license verified